libmpfi0-1.5.3-10.9.i586.rpm


Advertisement

Description

libmpfi0 - Multi-precision floating-point interval arithmetic computation library

Property Value
Distribution openSUSE Tumbleweed
Repository Science all
Package name libmpfi0
Package version 1.5.3
Package release 10.9
Package architecture i586
Package type rpm
Installed size 106.04 KB
Download size 38.67 KB
Official Mirror widehat.opensuse.org
MPFI is a C library for arbitrary precision interval arithmetic with
intervals represented using MPFR reliable floating-point numbers.
The purpose of an arbitrary precision interval arithmetic is on the
one hand to get "guaranteed" results, thanks to interval computation,
and on the other hand to obtain accurate results, thanks to multiple
precision arithmetic.

Alternatives

Package Version Architecture Repository
libmpfi0-1.5.3-10.9.x86_64.rpm 1.5.3 x86_64 Science
libmpfi0-1.5.3-1.1.x86_64.rpm 1.5.3 x86_64 openSUSE Oss
libmpfi0-1.5.3-1.1.i586.rpm 1.5.3 i586 openSUSE Oss
libmpfi0 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.4) -
libgmp.so.10 -
libmpfr.so.6 -

Provides

Name Value
libmpfi.so.0 -
libmpfi0 = 1.5.3-10.9
libmpfi0(x86-32) = 1.5.3-10.9

Download

Type URL
Binary Package libmpfi0-1.5.3-10.9.i586.rpm
Source Package mpfi-1.5.3-10.9.src.rpm

Install Howto

  1. Add the Science repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/science/openSUSE_Tumbleweed/ science
  2. Install libmpfi0 rpm package:
    # zypper install libmpfi0

Files

Path
/usr/lib/libmpfi.so.0
/usr/lib/libmpfi.so.0.0.0

Changelog

2018-01-19 - jengelh@inai.de
- Update to new upstream release 1.5.3
* be compatible with MPFR version 4.0.0
- Changes introduced with 1.5.2
* fix documentation of comparison functions
* fix bug in mpfi_sub_fr
* new symbols MPFI_VERSION_MAJOR, MPFI_VERSION_MINOR,
MPFI_VERSION_PATCHLEVEL, and MPFI_VERSION_STRING in mpfi.h
* detect availability of mpfr_z_sub, mpfr_z_div, and mpfr_q_sub
and use a custom implementation for the ones not provided by
MPFR (mpfr_z_sub appeared in MPFR 3.1.0, the other ones are
used in tests only)
* tadd_q does no more check overflow by default (required too
much memory)
* sign of zeros choice documented
2012-12-13 - jengelh@inai.de
- Initial package (version 1.5.1) for build.opensuse.org

See Also

Package Description
libmpir-devel-3.0.0-32.12.i586.rpm Multiprecision integer library derived from GMP
libmpir-devel-3.0.0-32.12.x86_64.rpm Multiprecision integer library derived from GMP
libmpir23-3.0.0-32.12.i586.rpm Multiprecision integer library derived from GMP
libmpir23-3.0.0-32.12.x86_64.rpm Multiprecision integer library derived from GMP
libmpirxx8-3.0.0-32.12.i586.rpm Multiprecision integer library derived from GMP
libmpirxx8-3.0.0-32.12.x86_64.rpm Multiprecision integer library derived from GMP
libmshr2016_2-openmpi-2016.2.0-1.10.i586.rpm The mesh generation component of FEniCS
libmshr2016_2-openmpi-2016.2.0-1.10.x86_64.rpm The mesh generation component of FEniCS
libmtcp-devel-1.2.8-1.11.i586.rpm MTCP developer package
libmtcp-devel-1.2.8-1.11.x86_64.rpm MTCP developer package
libmtcp1-1.2.8-1.11.i586.rpm MTCP -- Single process checkpointer library
libmtcp1-1.2.8-1.11.x86_64.rpm MTCP -- Single process checkpointer library
libmuparser2_2_6-2.2.6.1-27.5.i586.rpm Library to evaluate strings as mathematical functions
libmuparser2_2_6-2.2.6.1-27.5.x86_64.rpm Library to evaluate strings as mathematical functions
libmuparser2_2_6-32bit-2.2.6.1-27.5.x86_64.rpm Library to evaluate strings as mathematical functions
Advertisement
Advertisement